**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/23.3/documents/document-locks/create-document-lock.md

# Create Document Lock



A document lock is analogous to checking out a document but without the file attached in the response for download.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/lock" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/lock

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Document successfully checked out."
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault locks the document and other users are not allowed to lock (check-out) the document.



---

**Previous:** [Retrieve Document Lock Metadata](/sitevault/vault-api/api-reference/23.3/documents/document-locks/retrieve-document-lock-metadata)  
**Next:** [Retrieve Document Lock](/sitevault/vault-api/api-reference/23.3/documents/document-locks/retrieve-document-lock)